Mundo Maker
¡Bienvenid@ a Mundo Maker!

¿Quieres aprender todo sobre el RPG Maker?



Regístrate y forma parte de Mundo Maker.

Nuevo RPG MAKER XP ACE!! ¡¡!!DEMO DISPONIBLE

Página 2 de 2. Precedente  1, 2

Ver el tema anterior Ver el tema siguiente Ir abajo

Re: Nuevo RPG MAKER XP ACE!! ¡¡!!DEMO DISPONIBLE

Mensaje por newold el 2012-11-16, 08:40

@senshi escribió:Como se descarga el archivo veo que media fire ha cambiado a la hora de descargar archivos.

Al pinchar el link de descarga debería salirte esta pantalla:

[/URL]

pulsando el botón verde empieza a descargar

avatar
newold
Principiante
Principiante

0/3

Créditos 1153

Gracias : 93

Volver arriba Ir abajo

Re: Nuevo RPG MAKER XP ACE!! ¡¡!!DEMO DISPONIBLE

Mensaje por Dangaioh el 2012-11-16, 08:57

nop, a mi no me sale eso, me sale una pantalla que dice que el archivo esta encriptado con password y que estas descargas están limitadas.....

_________________





avatar
Dangaioh
Administrador
Administrador



Créditos 5784

Gracias : 95

Volver arriba Ir abajo

Re: Nuevo RPG MAKER XP ACE!! ¡¡!!DEMO DISPONIBLE

Mensaje por newold el 2012-11-16, 09:37

O_o vaya entonces subiré una versión sin password.

Actualizo el primer post con el nuevo link, éste ya lleva corregido el error de transición y un error con el clima y no lleva password
avatar
newold
Principiante
Principiante

0/3

Créditos 1153

Gracias : 93

Volver arriba Ir abajo

Re: Nuevo RPG MAKER XP ACE!! ¡¡!!DEMO DISPONIBLE

Mensaje por ambiorix14 el 2012-11-16, 10:22

Se le puede poner script rgss3 del rpg maker vx ace?
avatar
ambiorix14
Soñador
Soñador

1/3

Créditos 315

Gracias : 2

Volver arriba Ir abajo

Re: Nuevo RPG MAKER XP ACE!! ¡¡!!DEMO DISPONIBLE

Mensaje por Dangaioh el 2012-11-16, 10:30

@newold escribió:O_o vaya entonces subiré una versión sin password.

Actualizo el primer post con el nuevo link, éste ya lleva corregido el error de transición y un error con el clima y no lleva password

ok...ahora si, gracias

_________________





avatar
Dangaioh
Administrador
Administrador



Créditos 5784

Gracias : 95

Volver arriba Ir abajo

Re: Nuevo RPG MAKER XP ACE!! ¡¡!!DEMO DISPONIBLE

Mensaje por newold el 2012-11-16, 11:10

@ambiorix14 escribió:Se le puede poner script rgss3 del rpg maker vx ace?

los scripts hechos para rpg maker vx ace que trabajen con la base de datos de ese maker o con el sistema de mapas o que directamente necesiten algunos de los scripts default de ese maker para funcionar obviamente no valen porque la estructura de datos y escripts default es diferente en ambos maker. Si esos escripts rgss3 no tienen ninguna de las trabas anteriores deberían funcionar.
avatar
newold
Principiante
Principiante

0/3

Créditos 1153

Gracias : 93

Volver arriba Ir abajo

Re: Nuevo RPG MAKER XP ACE!! ¡¡!!DEMO DISPONIBLE

Mensaje por llavebulacio el 2012-11-16, 15:00

Esta re copado. Eso es muy util, porque, personalmente, me acostumbre al RPG Maker XP, pero con la potencia del VX... Voy a esperar a la versión Final, porque no soy Enginer, solo quiero toquetear las funciones Smile
avatar
llavebulacio
Principiante
Principiante

0/3

Créditos 302

Gracias : 6

Volver arriba Ir abajo

Re: Nuevo RPG MAKER XP ACE!! ¡¡!!DEMO DISPONIBLE

Mensaje por Blues el 2012-11-16, 15:58

Ey... bueno, para ser directo: trate de pasar mi proyecto a el RPG Maker XP Ace (a sabiendas de que es tan solamente una demo), pero obtuve mucha incompatibilidad con varios scripts.

Mi pregunta es: ¿esos errores de compatibilidad se resolveran en un futuro?.

Saludos.

Blues
Soñador
Soñador

3/3

Créditos 101

Gracias : 3

Volver arriba Ir abajo

Re: Nuevo RPG MAKER XP ACE!! ¡¡!!DEMO DISPONIBLE

Mensaje por newold el 2012-11-16, 16:53

¿que errores marcaba? ¿Puedes poner algunas capturas con los errores?
avatar
newold
Principiante
Principiante

0/3

Créditos 1153

Gracias : 93

Volver arriba Ir abajo

Re: Nuevo RPG MAKER XP ACE!! ¡¡!!DEMO DISPONIBLE

Mensaje por Blues el 2012-11-16, 17:01




Blues
Soñador
Soñador

3/3

Créditos 101

Gracias : 3

Volver arriba Ir abajo

Re: Nuevo RPG MAKER XP ACE!! ¡¡!!DEMO DISPONIBLE

Mensaje por newold el 2012-11-16, 17:30

pues juraría por esos errores que te saltaste alguno al copiar, quizás alguno de los default que ya tenías modificado (el primer error marca que intentaba multiplicar algo que era nil, el segundo llama a una propiedad de Sprite_Character que no está definida(type) , el tercer error parece que intentaba cargar un archivo que estaba corrupto) Casi todo debería de funcionar bien (salvo algunos scripts que necesitarán ser retocados para adaptarlos). De todas formas haré más pruebas. Portaré varios proyectos a ver si logro pulir la mayor parte de cosas extrañas que encuentre :D
avatar
newold
Principiante
Principiante

0/3

Créditos 1153

Gracias : 93

Volver arriba Ir abajo

Re: Nuevo RPG MAKER XP ACE!! ¡¡!!DEMO DISPONIBLE

Mensaje por senshi el 2012-11-17, 01:20

Wow exelente no LAGGGGGGGGGGGGGG............ un mapa enorme y no hay lag.
Al inicio me mando un error de fuente no encontrada y el full screen de inicio se lo tuve que quitar popr que el monitor se puso en negro nose por que.
Pero lo demas le seguire buscando haber que detalles saltan.
avatar
senshi
Novato
Novato

0/3

Créditos 68

Gracias : 2

Volver arriba Ir abajo

Re: Nuevo RPG MAKER XP ACE!! ¡¡!!DEMO DISPONIBLE

Mensaje por orochii el 2012-11-17, 04:30

Para lo de las fuentes, es cosa del RGSS3. Pueden descomprimir esta carpetita de fuentes en su juego, e incluso meter las que vayan a usar ahí dentro (si mal no recuerdo el RGSS3 busca las fuentes primero en dicha carpeta).
Link a 4Shared (porque MF no me sirve en esta PC, ni idea del porqué 8'D...).

Respecto a los errores que puso Blues, a mi también me los dio con mi proyecto (pero era algo que me esperaba, si muchos -casi todos- de los scripts default los he modificado ahí encima a lo bestia xD).
Si quieres probar algo, puedes probar por ejemplo el NeoMode7, que creo es una de las cosas que quizá sea más salvajecillo :P. También algunos que otros sistemas de batallas (el de CharlieFleed por ejemplo, o el Linear Motion Battle System) y cosas por el estilo.

Y bueno, le tengo mucha fe a este proyecto. Con sólo que disminuya lag por cambiar de Ruby 1.8.x (creo) a 1.9.6 me conformo xD!.

Saludos NewOld,
Orochii Zouveleki
avatar
orochii
Reportero

0/3

Créditos 7613

Gracias : 412

Volver arriba Ir abajo

Re: Nuevo RPG MAKER XP ACE!! ¡¡!!DEMO DISPONIBLE

Mensaje por senshi el 2012-11-22, 06:37

Estoy haciendo pruebas con varios scripts que tengo en mi proyecto y me tira errores cuando se invoca al Windows Base, estoy usando el script UMS y marca error.
avatar
senshi
Novato
Novato

0/3

Créditos 68

Gracias : 2

Volver arriba Ir abajo

Re: Nuevo RPG MAKER XP ACE!! ¡¡!!DEMO DISPONIBLE

Mensaje por newold el 2012-11-22, 11:03

Ya he estado mirando y probando diferentes scripts. Resultado:

- Muchos scripts no funcionan.
- Con algunas modificaciones menores algunos scripts funcionan pero otros necesitan ser reescritos o cambiar gran parte del código para funcionar.

Así que sintiéndolo mucho debo dejar el proyecto tal como está. Es completamente funcional con los scripts default pero si quereis nuevos scripts tendreis que hacerlos de 0 para esta versión del maker o adaptar los que ya hay hechos para rpg maker xp.


PROS para usar esta versión: juegos más rápidos, más fluidos, con algunos extras de RGSS3 y toda la potencia de un ruby actualizado a su versión 1.9

CONTRAS: Compatibilidad muy limitada con scripts ya hechos para RGSS1


PD: A ver si enterbrain se digna a sacar una versión digna del maker con un editor como el del rpg maker xp mejorado, la versión más reciente de ruby y cambia el módulo gráfico para que tire de tarjeta gráfica y no de procesador ^^ soñar es gratis xd
avatar
newold
Principiante
Principiante

0/3

Créditos 1153

Gracias : 93

Volver arriba Ir abajo

Re: Nuevo RPG MAKER XP ACE!! ¡¡!!DEMO DISPONIBLE

Mensaje por SagahonArturo el 2012-11-22, 18:43

Hola, Lo quiero probar pero me marca un aviso que me falta el “VL Gothic Font”, sabes un lugar seguro donde la pueda conseguir.

Gracias de antemano, nos vemos. gcool
avatar
SagahonArturo
Principiante
Principiante

0/3

Créditos 136

Gracias : 6

Volver arriba Ir abajo

Re: Nuevo RPG MAKER XP ACE!! ¡¡!!DEMO DISPONIBLE

Mensaje por newold el 2012-11-22, 19:14

http://es.sourceforge.jp/projects/vlgothic/downloads/57344/VLGothic-20121109.zip/

copiala a una carpeta que se llame Fonts en la carpeta del juego
avatar
newold
Principiante
Principiante

0/3

Créditos 1153

Gracias : 93

Volver arriba Ir abajo

Re: Nuevo RPG MAKER XP ACE!! ¡¡!!DEMO DISPONIBLE

Mensaje por Wecoc el 2012-11-22, 22:08

@newold escribió:PD: A ver si enterbrain se digna a sacar una versión digna del maker con un editor como el del rpg maker xp mejorado, la versión más reciente de ruby y cambia el módulo gráfico para que tire de tarjeta gráfica y no de procesador ^^ soñar es gratis xd

Y ya de paso un traductor RGSS1 <--> RGSS2 <--> RGSS3 <--> RGSS1 automático... xD

Aunque ahora que lo pienso, como anécdota curiosa, diré que una vez traduje un script sencillo de RMVX a RMXP sin casi mirarlo, solo copiándolo al wordpad e hiciendo un Reemplazar todo de algunas cosas como "Sound.play_buzzer" a "$game_system.se_play($data_system.buzzer_se)", de Game_Interpreter a Interpreter y no recuerdo qué más, unas 10 cosas como mucho, y luego el script funcionó sin ningún error. De hecho entre un código y el otro estos complementos van más o menos igual pero con éstos pequeños cambios.

Y me pregunto yo; ¿no se podría hacer un script que re-leyera esas cosas que son distintas como las nuevas para poder usar todos los códigos en un mismo programa (tu XP Ace) sin incompatibilidades?

Yo qué sé, unos ejemplos tontos:

Código:
class Game_System # XP a lectura VX
 def se_play(se)
  case se
  when $data_system.buzzer_se
    Sound.play_buzzer
  #when....
  #else
  end
 end
end

Código:
alias debug_load_data load_data unless $@ # VX a lectura XP
def load_data(a)
  case a
  when "Data/Actors.rvdata", "Data/BT_Actors.rvdata"
    debug_load_data("Data/Actors.rxdata")
   
  when "Data/Classes.rvdata", "Data/BT_Classes.rvdata"
    debug_load_data("Data/Classes.rxdata")
   
  when "Data/Skills.rvdata", "Data/BT_Skills.rvdata"
    debug_load_data("Data/Skills.rxdata")
   
  when "Data/Items.rvdata", "Data/BT_Items.rvdata"
    debug_load_data("Data/Items.rxdata")
   
  when "Data/Weapons.rvdata", "Data/BT_Weapons.rvdata"
    debug_load_data("Data/Weapons.rxdata")

  when "Data/Armors.rvdata", "Data/BT_Armors.rvdata"
    debug_load_data("Data/Armors.rxdata")
   
  when "Data/Enemies.rvdata", "Data/BT_Enemies.rvdata"
    debug_load_data("Data/Enemies.rxdata")
   
  when "Data/Troops.rvdata", "Data/BT_Troops.rvdata"
    debug_load_data("Data/Troops.rxdata")
   
  when "Data/States.rvdata", "Data/BT_States.rvdata"
    debug_load_data("Data/States.rxdata")
   
  when "Data/Animations.rvdata", "Data/BT_Animations.rvdata"
    debug_load_data("Data/Animations.rxdata")
   
  when "Data/CommonEvents.rvdata", "Data/BT_CommonEvents.rvdata"
    debug_load_data("Data/CommonEvents.rxdata")
   
  when "Data/System.rvdata", "Data/BT_System.rvdata"
    debug_load_data("Data/System.rxdata")
   
  when "Data/Areas.rvdata", "Data/BT_Areas.rvdata"
    return false
 
  when sprintf("Data/Map%03d.rvdata", @map_id)
    debug_load_data(sprintf("Data/Map%03d.rxdata", @map_id))
  else
    debug_load_data(a)
  end
end

Habría que datar todos los fallos de compatibilidad que te diera y hacer estas cosas, pero no sé, igual se podria... ¿no? Lo más jodido quizá serían los $data_ y éstas cosas...

Nota: Ah, y lo del editor mejorado que dijiste, existe. No forma parte del maker en sí, pero existe.
Ya sabes, el famoso Gemini.

Nota2: Lo sé, estoy diciendo tonterías xD, pero menos da una piedra.

Nota3 (edit): Ahora que lo pienso... ¿El pokemon essentials no tenía un script de compatibilidad con RGSS2 desde el XP? ¿No sería hacer lo mismo pero al revés, y con RGSS3?...
avatar
Wecoc
Administrador
Administrador



Créditos 12312

Gracias : 571

Volver arriba Ir abajo

Re: Nuevo RPG MAKER XP ACE!! ¡¡!!DEMO DISPONIBLE

Mensaje por senshi el 2012-11-22, 23:31

Ummm me surgio otra duda los scripts que estan diseñados para VX no se pueden usar aqui verdad???

avatar
senshi
Novato
Novato

0/3

Créditos 68

Gracias : 2

Volver arriba Ir abajo

Re: Nuevo RPG MAKER XP ACE!! ¡¡!!DEMO DISPONIBLE

Mensaje por newold el 2012-11-22, 23:46

por ejemplo yo he probado hacer andar el xas, cambiando algunas cosas que tiraban error iniciales el juego comenzaba pero los eventos no se dibujaban y las animaciones no se mostraban bien, a veces desaparecía el personaje. He probado el modo 7 y fallaba a la hora de scrolear un mapa con loop horizontal o vertical. El UMS no dibuja las letras y algunas ventanas que se posicionan encima de los eventos se movían por la pantalla. todos esos errores son debedido a dos cosas: primero por usar scripts que reemplazan al tileset, window, plane y otros scripts ocultos que aunque sean a priori igual que los que trae el maker, no funcionan exactamente igual, y segundo por la dll que lleva el ruby nuevo y algunas cosas que funcionaban en la vieja versión de ruby no funcionan en la nueva. Por eso muchos de estos scripts que no funcionan (como el xas o el ums) hay que reazaerles una parte importante del código para que funcionen teniendo en cuenta las clases reescritas y la nueva dll, y no es tan fácil como interceptar los códigos erróneos y 'traducirlos' a esta version ¬¬

PD: Los cripts que funcionan para esta versión son: unos pocos de los que ya hay hechos para rpg maker xp y cualquiera que se haga para esta versión específica. no valen los scripts de otros makers
avatar
newold
Principiante
Principiante

0/3

Créditos 1153

Gracias : 93

Volver arriba Ir abajo

Re: Nuevo RPG MAKER XP ACE!! ¡¡!!DEMO DISPONIBLE

Mensaje por Contenido patrocinado


Contenido patrocinado


Volver arriba Ir abajo

Página 2 de 2. Precedente  1, 2

Ver el tema anterior Ver el tema siguiente Volver arriba


Permisos de este foro:
No puedes responder a temas en este foro.